body {
	background:#ddd;
	color:#000;
}

.pagenavicons {
	position:fixed;
	background:#ddd;
	color:#400;
	top:0px;
	right:5px;
	z-index:1000;
}
.pagenavicons span {
	background:#fff;
}

.basket,
.selitem,
.menucontent {
	background:#eee;
}
.menucontent h1 {
	margin-left:20px;
}
.basket,
.itempage,
.homepage,
.infopage,
.menucontent {
	font-family:Arial,Helvetica,sans-serif;
	position:absolute;
	top:0px;
	overflow-y:auto;
	bottom:0px;
	box-sizing: border-box;
	transition-duration: 1s;
}
.modalfitparent .homepage,
.modalfitparent .itempage,
.modalfitparent .infopage,
.modalfitparent .menucontent {
        bottom:auto;
        overflow-y:none;
        position:static;
}



.basket,
.menucontent,
.itempage {
	left:0px;
	right:0px;
	width:auto;
}



.checkout,
.selitem {
	margin:10px;
	border:2px solid black;
	height:auto;
	max-height:calc(100% - 25px);
	overflow-y:auto;
	box-sizing: border-box;
}
.selitem.left {
	width:50%;
	margin-left:0px;
	margin-right:auto;
	min-height:90%;
	max-height:calc(100% - 60px);
}
.selitem.right {
	width:50%;
	margin-right:0px;
	margin-left:auto;
	margin-top:60px;
	min-height:90%;
	max-height:calc(100% - 60px);
}
.checkout {
	padding:10px;
	margin-top:40px;
}
.menucontent a:hover,
.menucontent a:visited,
.menucontent a:link {
	text-decoration:none;
}
.menucontent .category {
	padding:8px 0px 8px 20px;
	position:relative;
	border-top:2px solid #666;
}
.menucontent .category .toggle {
	position:absolute;
	top:10px;
	font-size:2em;
	lefT:4px;
	transform-origin:center;
	transition-duration: 1s;
}
.menucontent .collapsed .category .toggle {
	transform:rotate(-90deg);
	top:1px;
}

img {
	background-color:transparent;
}

/*
.selitem .name.hasimage {
	margin-left:10px;
	vertical-align:top;
	display:inline;
}
*/
.category span[categoryimg="inline"] {
	float:right;
	max-height:60px;
	width:160px;
	overflow:hidden;
	display:none;
}
.category span[categoryimg="inline"] img {
	object-fit:cover;
}
a.collapsed .category span[categoryimg="inline"] {
	display:inline;
}


.menuitem span[categoryimg="inline"] {
	float:right;
}
.menuitem span[categoryimg="inline"] img {
	max-height:120px;
}
.menucontent span[categoryimg="embed"] {
	display:block;
	width:100%;
}
.menucontent span[categoryimg="embed"] img {
	height:190px;
	width:100%;
	object-fit:cover;
}
.userbutton {
	max-width:12em;
	width:45%;
	margin:10px;
}


.menucontent .category .name {
	text-transform: uppercase;
	font-size:28px;
	margin-left:20px;
	color:#004;
	font-weight:bold;
}
.menucontent .category .desc {
	color:#444;
	font-size:14px;
	margin-top:10px;
}
.menucontent .items  {
	flex-wrap:wrap; /* column; */
	display:flex;
	padding:15px;
	box-sizing: border-box;
}

.menucontent .item  {
	width:calc(50% - 20px);
}
.basket .item,
.menucontent .item  {
	cursor:pointer;
	position:relative;
	border-bottom:1px solid #eee;
	border-top:1px solid #eee;
	background:#fff;
	margin-left:15px;
}

.basket .item .info,
.menucontent .item .info  {
	padding:10px 0;
	padding-right:50px;
}
.basket .item .picture {
	display:none;
}
.menucontent .item .picture {
	float:left;
	width:80px;
	height:60px;
	margin-right:10px;
	object-fit:contain;
}
.basket .item .count {
	position:absolute;
	top:9px;
}
.menucontent .item .count {
	position:absolute;
	top:1px;
	left:1px;
}
.basket .item .name,
.menucontent .item .name {
	text-transform: uppercase;
	font-size:14px;
	font-weight:700;
	padding-left:25px;
	padding-right:50px;
	display:block;
}
.basket .item .desc,
.menucontent .item .desc {
	margin-bottom:10px;
	color:#444;
	font-size:1em;
	padding-left:25px;
}
.basket .item .notes,
.basket .item .allergens,
.menucontent .item .notes,
.menucontent .item .allergens {
	margin-top:2px;
	color:#444;
	font-size:12px;
	padding-left:8px;
}


.basket .item .price,
.menucontent .item .price {
	text-align:right;
	font-size:15px;
	position:absolute;
	right:5px;
	top:5px;
}
.basket .subitem .price {
	top:0px;
	font-size:13px;
}
.menucontent .mod_summary {
	margin-top:2px;
	color:#666;
	font-size:12px;
	padding-left:25px;
}
.menucontent .item.unselected {
	opacity:0.5;
}
.basket .subitem {
	padding-left:20px;
	position:relative;
}


.itempage .name {
	font-size:18px;
	font-weight:700;
	padding-left:25px;
}
.itempage .desc {
	margin-top:10px;
	color:#444;
	font-size:12px;
	padding-left:8px;
}



select.form-control {
	padding:20px 20px;
	height:auto;
}

#quantity {
	max-width:250px;
}

.selitem .form-check-label {
	width:95%;
}
.selitem .form-check-label .selectprice {
	float:right;
	font-size:0.8em;
}

.basket .alg_A,
.selitem .alg_A,
.menucontent  .alg_A{
	color:red;
}
.basket .alg_B,
.selitem .alg_B,
.menucontent  .alg_B,
.basket .alg_C,
.selitem .alg_C,
.menucontent  .alg_C{
	color:green;
}
.basket .alg_D,
.selitem .alg_D,
.menucontent  .alg_D{
	color:blue;
}

/* ****** AUTO DARK MODE *** */
/*@media (prefers-color-scheme: dark) { */
body.darkmode {
	background:#000;
	color:#fff;
}
body.darkmode .modal-content {
	background-color:#000;
	color:#fff;
}
body.darkmode .form-control {
	background-color:#111;
	color:#ff8;
}
body.darkmode .itempage .desc {
	color:#ff0;
}
body.darkmode .card {
	background-color:#000;
	color:#fff;
}
body.darkmode .pagenavicons {
	background:#000;
	color:#ff4;
}
body.darkmode .pagenavicons span {
	background:#222;
}
body.darkmode .basket,
body.darkmode .selitem,
body.darkmode .menucontent {
	background:#000;
}
body.darkmode .basket .item,
body.darkmode .menucontent .item  {
	background:#111;
}
body.darkmode .menucontent .category .name {
	color:#fff;
}
body.darkmode .menucontent .item .desc  {
	color:#ff8;
}
body.darkmode .form-control {
	background:#111;
	color:#eee;
}
body.darkmode .menucontent .mod_summary {
	color:#eee;
}
body.darkmode .basket .item .notes,
body.darkmode .basket .item .allergens,
body.darkmode .menucontent .item .allergens,
body.darkmode .menucontent .item .notes {
	color:#ff8;
}
body.darkmode .basket .alg_B,
body.darkmode .selitem .alg_B,
body.darkmode .menucontent  .alg_B,
body.darkmode .basket .alg_C,
body.darkmode .selitem .alg_C,
body.darkmode .menucontent  .alg_C{
	color:#8f8;
}
body.darkmode .basket .alg_D,
body.darkmode .selitem .alg_D,
body.darkmode .menucontent  .alg_D{
	color:#88f;
}
/* darkmode end */


body.modalfitparent {
        height:auto;
}
.modalfitparent .modal-content {
        display:block;
        height:auto;
}

.modalfitparent .modal {
        height:auto;
        position:relative;
}


@media (max-width:600px) {
.category span[categoryimg="inline"] {
	width:120px;
}
.menucontent .item .info {
	padding:0px;
}
.menucontent .category .name {
	font-size:32px;
}
/*
.menucontent .category .name.hasimage {
	display:inline;
	margin-left:10px;
}
*/
.menucontent .item .name {
	font-size:24px;
}
.userbutton {
	width:40%;
	margin:5%;
}
.pagenavicons {
	position: absolute;
	border-top:2px solid black;
	padding-top:3px;
	width:100%;
	float:none;
  	top: auto;
  	bottom:0px;
	display:flex;
}
body.darkmode .pagenavicons {
	border-top:2px solid yellow;
}
.pagenavicons span {
	border-radius:5px;
	min-width:32px;
	flex-grow:1;
	text-align:center;
}
.basket, .itempage, .homepage, .infopage, .menucontent {
	top:0px !important;
	bottom:50px;
}
}

@media (min-width:750px) {
.menucontent span[categoryimg="inline"] {
	display:none;
}
}
@media (max-width:750px) {
.basket,
.itempage,
.homepage,
.infopage,
.menucontent {
	top:50px;
}
.menucontent .items  {
	padding:0px;
}
.basket .item,
.menucontent .item  {
	width:calc(100% - 40px);
	margin-left:20px;
}
.menucontent .category {
	margin-left:10px;
	margin-right:10px;
}
.selitem {
	width:100% !important;
	margin-top:0px !important;
	box-sizing: border-box;
	margin:0px;
	border:0px;
	height:100%;
}
} 
.basketcount_items {
	position:relative;
	left:-11px;
}
@media (max-width:470px) {
.category span[categoryimg="inline"] {
	width:80px;
}
.basketcount_items {
	position:absolute;
	top:-5px;
	left:auto;
	right:-8px;
}
.basket .item,
.menucontent .item .name {
	font-size:1.5em;
}
.menucontent .category .name {
        font-size:2em;
}
.menucontent .category .toggle {
	top:-3px !important;
}
}
@media (max-width:320px) {
.category span[categoryimg="inline"] {
	display:none;
}
.pagenavicons {
	font-size:0.8em;
}
}


.otoast {
	position:absolute;
	background:#000;
	color:#fff;
	z-index:1000;
	font-size:20px;;
	left:50%;
	bottom:0;
	width:350px;
	margin-left:-175px;
	padding:10px;
	border:1px solid #888;
	border-top-left-radius:10px;
	border-top-right-radius:10px;
}
